<template>
    <div class="monitor-dialog">
        <!-- 广场舞信息 -->
        <div class="device-info">
            <div class="device-item">
                <div class="label">广场名称：</div>
                <div class="value">{{ squareInfo.squareLocationName }}</div>
            </div>
            <div class="device-item">
                <div class="label">行政区划：</div>
                <div class="value">{{ squareInfo.areaFullName ? squareInfo.areaFullName.split('/')[
                                    squareInfo.areaFullName.split('/').length - 1
                                ] : '' }}</div>
            </div>
            <div class="device-item">
                <div class="label">详细地址：</div>
                <div class="value">{{ squareInfo.detailAddress }}</div>
            </div>
            <div class="device-item">
                <div class="label">经度：</div>
                <div class="value">{{ squareInfo.lgtd }}</div>
            </div>
            <div class="device-item">
                <div class="label">纬度：</div>
                <div class="value">{{ squareInfo.lttd }}</div>
            </div>
        </div>
    </div>
</template>

<script>
import bigScreenAPI from '@/api/BigScreen/index.js'
import utils from '@/utils.js'
export default {
    name: 'squareDialog',
    components: {
    },
    props: {
        squareInfo: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    watch: {
        squareInfo:{
            handler(newVal){
                console.log(newVal);
            }
        }
    },
    data() {
        return {
        }
    },
    created() {
    },
    methods: {

    },
}
</script>

<style scoped lang="scss">
.monitor-dialog {
    // width: 600px;
    height: 120px;
}
.warning-item {
    padding: 15px 0 0 0;
    // border: 1px solid #fff;
    .table-info {
        border: 1px solid #42bddc;
        .header {
            display: flex;
            height: 35px;
            background: linear-gradient(
                360deg,
                #1a355c 0%,
                rgba(66, 93, 133, 0.09) 100%
            );
            .header-item {
                color: #fff;
                display: flex;
                align-items: center;
                justify-content: center;
                padding: 0 0 0 6px;
                font-size: 16px;
            }
        }
        .body-content {
            height: 305px;
            overflow-y: auto;
            .body {
                display: flex;
                // height: 25px;
                border-right: none;
                border: 2px solid transparent;
                padding: 3px 0;

                &:hover {
                    background: linear-gradient(
                        90deg,
                        rgba(16, 40, 73, 0) 0%,
                        #102849 51%,
                        rgba(16, 40, 73, 0) 100%
                    );
                    border-radius: 0px 0px 0px 0px;
                    border: 2px solid;
                    border-image: linear-gradient(
                            90deg,
                            rgba(255, 255, 255, 0),
                            rgba(93, 144, 194, 1),
                            rgba(93, 144, 194, 0)
                        )
                        2 2;
                }
                .body-item {
                    color: #eee;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    padding: 0 0 0 6px;
                }
                .operate {
                    span {
                        cursor: pointer;
                        // &:hover {
                        //     color: #1a8cff;
                        // }
                    }
                }
            }
        }
    }
}
.device-info {
    height: 120px;
    padding: 8px 0 0 0;
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    .device-item {
        width: 50%;
        margin: 10px 0 0 0;
        display: flex;
        .label {
            color: #2ca6ff;
        }
        .value {
            color: #fff;
        }
    }
}
.popup-volumn {
    font-weight: 400;
    color: #ffffff;
    font-size: 16px;
    text-align: center;
    border-bottom: 1px solid #5a9bb2;
    padding: 20px 0;
    // margin-bottom: 20px;
    .volumn-num {
        display: inline-block;
        width: 26px;
        height: 36px;
        line-height: 36px;
        background: #1a8cff;
        border-radius: 4px 4px 4px 4px;
        font-size: 30px;
        color: #e5f2ff;
    }
    .volumn-num ~ .volumn-num {
        margin-left: 4px;
    }
}
.popup-volumn.orange {
    border-bottom: 1px solid #2a3c57;
    .volumn-num {
        background: #ff973f;
    }
}
</style>
